GET
/mentions/list
curl 'https://api.xholic.ai/v1/mentions/list' \ -H "Authorization: Bearer $XHOLIC_API_KEY"xholic mentions list{ "name": "mentions_list", "arguments": {}}const response = await fetch("https://api.xholic.ai/v1/mentions/list", { headers: { Authorization: `Bearer ${process.env.XHOLIC_API_KEY}` },});const result = await response.json();console.log(result.summary);import axios from "axios";
const { data } = await axios.get("https://api.xholic.ai/v1/mentions/list", { params: {}, headers: { Authorization: `Bearer ${process.env.XHOLIC_API_KEY}` },});console.log(data.summary);import osimport requests
response = requests.get( "https://api.xholic.ai/v1/mentions/list", headers={"Authorization": f"Bearer {os.environ['XHOLIC_API_KEY']}"}, params={},)print(response.json()["summary"])package main
import ( "fmt" "io" "net/http" "os")
func main() { req, _ := http.NewRequest("GET", "https://api.xholic.ai/v1/mentions/list", nil) req.Header.Set("Authorization", "Bearer "+os.Getenv("XHOLIC_API_KEY")) res, err := http.DefaultClient.Do(req) if err != nil { panic(err) } defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body))}<?php$ch = curl_init("https://api.xholic.ai/v1/mentions/list");curl_setopt_array($ch, [ CURLOPT_RETURNTRANSFER => true, CURLOPT_HTTPHEADER => ['Authorization: Bearer ' . getenv('XHOLIC_API_KEY')],]);$result = json_decode(curl_exec($ch), true);echo $result['summary'];require "net/http"require "json"
uri = URI("https://api.xholic.ai/v1/mentions/list")req = Net::HTTP::Get.new(uri)req["Authorization"] = "Bearer #{ENV.fetch("XHOLIC_API_KEY")}"res = Net::HTTP.start(uri.host, uri.port, use_ssl: true) { |http| http.request(req) }puts JSON.parse(res.body)["summary"]The account’s latest mentions and replies to its posts, synced by Xholic.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”kind
“REPLIES” for replies to the user’s posts, “OTHER” for other mentions, “ALL” for both.
string
“REPLIES” for replies to the user’s posts, “OTHER” for other mentions, “ALL” for both.
hideReplied
boolean
account
X account to act on, as @handle. Leave it out to use the connection’s default account.
string
X account to act on, as @handle. Leave it out to use the connection’s default account.
Responses
Section titled “Responses”Success
Media typeapplication/json
object
ok
required
boolean
summary
required
One or two readable sentences about the result.
string
data
required
The result. Its shape depends on the action.
ids
object
key
additional properties
any
next
Array<string>
creditsCharged
number
dryRun
boolean
Example
{ "ok": true}default
Section titled “default”Error
Media typeapplication/json
object
ok
required
boolean
error
required
object
code
required
string
message
required
string
scope
required
string
retryAfterSeconds
integer
details
Example
{ "ok": false, "error": { "code": "UNAUTHENTICATED", "scope": "account" }}